%define libxaw7 %mklibname xaw 7
%define libxawdevel %mklibname xaw -d

Name: libxaw
Summary: X Athena Widgets Library
Version: 1.0.13
Release: %mkrel 1
Group: System/Libraries
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXaw-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxpm-devel >= 3.5.4.2
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.3.0
BuildRequires: groff

%description
Xaw is the classic X Athena Widget Set, a widget set based on the
X Toolkit Intrinsics (Xt) Library.


#-----------------------------------------------------------

%package -n %{libxaw7}
Group: System/Libraries
Summary: X Athena Widgets Library
Requires: x11-data-bitmaps
# (walluck): FIXME: we wouldn't provide this but for the packages that incorrectly require it
Provides: libxaw7 = %{version}-%{release}

%description -n %{libxaw7}
Xaw is the classic X Athena Widget Set, a widget set based on the
X Toolkit Intrinsics (Xt) Library.


%files -n %{libxaw7}
%{_libdir}/libXaw.so.7
%{_libdir}/libXaw7.so.7
%{_libdir}/libXaw7.so.7.0.0

#-----------------------------------------------------------
%package -n %{libxawdevel}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxaw7} = %{version}-%{release}
Provides: xaw-devel = %{version}-%{release}
Provides: libxaw-devel = %{version}-%{release}
Obsoletes: %{_lib}xaw-static-devel < 1.0.11-4

%description -n %{libxawdevel}
Development files for %{name}.


%files -n %{libxawdevel}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*
%{_mandir}/man3/Xaw.3.*
%dir %{_docdir}/libXaw
%{_docdir}/libXaw/*

#-----------------------------------------------------------

%prep
%setup -q -n libXaw-%{version}

%build
%configure2_5x \
	--disable-xaw6 \
	--disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sun Jan 03 2016 tv <tv> 1.0.13-1.mga6
+ Revision: 918815
- drop merged patch
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.12-4.mga5
+ Revision: 749254
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.12-3.mga5
+ Revision: 681867
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.12-2.mga4
+ Revision: 534479
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.0.12-1.mga4
+ Revision: 477908
- new release

* Thu Aug 22 2013 wally <wally> 1.0.11-4.mga4
+ Revision: 469530
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.11-3.mga3
+ Revision: 397146
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.11-2.mga3
+ Revision: 358512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 tv <tv> 1.0.11-1.mga3
+ Revision: 256268
- new release

* Wed May 30 2012 tv <tv> 1.0.10-1.mga3
+ Revision: 249743
- fix patch
- new release

  + kamil <kamil>
    - clean .spec

* Tue Nov 29 2011 colin <colin> 1.0.9-2.mga2
+ Revision: 174151
- Strip .la files

* Thu Apr 14 2011 tv <tv> 1.0.9-1.mga1
+ Revision: 84858
- new release

* Sun Jan 09 2011 blino <blino> 1.0.8-4.mga1
+ Revision: 2764
- remove old ldconfig scriptlets
- imported package libxaw

